///
/// @file		LocalLibrary.h
/// @brief		Library header
///
/// @details	Test Protocol for Next Generation IDE
/// @n
/// @n @b		Project e-716
/// @n @a		Developed with [embedXcode+](http://embedXcode.weebly.com)
///
/// @author		Rei Vilo
/// @author		http://embeddedcomputing.weebly.com
///
/// @date		Rei Vilo, Feb 09, 2017
/// @version	102
///
/// @copyright	(c) Rei Vilo, 2010-2017
/// @copyright	CC = BY SA NC
///
/// @see		ReadMe.txt for references
///

// Core library - IDE-based
#if defined(WIRING) // Wiring specific
#include "Wiring.h"
#elif defined(ENERGIA) // LaunchPad specific
#include "Energia.h"
#elif defined(ARDUINO) // Arduino 1.0 and 1.5 specific
#include "Arduino.h"
#else // error
#error Platform not defined
#endif // end IDE

#ifndef e_716_LocalLibrary_h
#define e_716_LocalLibrary_h

///
/// @brief      Blink a LED
/// @details	LED attached to pin is turned on then off
/// @n          Total cycle duration = ms
/// @param      pin pin to which the LED is attached
/// @param      times number of times
/// @param      ms cycle duration in ms
/// @param		level level for HIGH, default=true=positive logic, false=negative logic
///
void blink(uint8_t pin, uint8_t times, uint16_t ms, bool level = true);

#endif // e_716_LocalLibrary_h
