///
/// @mainpage	e-716
///
/// @details	Test Protocol for Next Generation IDE
/// @n
/// @n
/// @n @a		Developed with [embedXcode+](http://embedXcode.weebly.com)
///
/// @author		Rei Vilo
/// @author		http://embeddedcomputing.weebly.com
/// @date		Rei Vilo, Feb 09, 2017
/// @version	102
///
/// @copyright	(c) Rei Vilo, 2010-2017
/// @copyright	CC = BY SA NC
///
/// @see		ReadMe.txt for references
///

///
/// @file		e_716.ino
/// @brief		Main sketch
///
/// @details	Test Protocol for Next Generation IDE
/// @n @a		Developed with [embedXcode+](http://embedXcode.weebly.com)
///
/// @author		Rei Vilo
/// @author		http://embeddedcomputing.weebly.com
/// @date		Rei Vilo, Feb 09, 2017
/// @version	102
///
/// @copyright	(c) Rei Vilo, 2010-2017
/// @copyright	CC = BY SA NC
///
/// @see		ReadMe.txt for references
/// @n
///

// Core library for code-sense - IDE-based
#if defined(WIRING) // Wiring specific
#include "Wiring.h"
#elif defined(ENERGIA) // LaunchPad specific
#include "Energia.h"
#elif defined(ARDUINO) // Arduino 1.0 and 1.5 specific
#include "Arduino.h"
#else // error
#error Platform not defined
#endif // end IDE

// Set parameters

// Include application, user and local libraries
#include "LocalLibrary.h"

// Define structures and classes

// Define variables and constants
///
/// @brief      Name of the LED
/// @details	Each board has a LED but connected to a different pin
///
uint8_t myLED;

// Prototypes

// Utilities

// Functions

///
/// @brief      Setup
/// @details	Define the pin the LED is connected to
///
// Add setup code
void setup()
{
#if defined(ENERGIA)                      // All LaunchPads supported by Energia
    myLED = RED_LED;
#else                                     // Arduino, chipKIT, Teensy specific
    myLED = 13;
#endif

    pinMode(myLED, OUTPUT);
}

///
/// @brief      Loop
/// @details	Call blink
///
// Add loop code
void loop()
{
    // Standard breakpoint
    blink(myLED, 3, 333);

    delay(1000);
}
